/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package metier;

import java.util.Objects;
import javax.swing.Icon;
import javax.swing.JOptionPane;

/**
 *
 * @author Dominique_2
 */
public class Voleur extends Personnage{
    
    private String outil;
    private String [] outils={"Pierre","Feuille","Ciseaux"};

    public Voleur(String nom, String img, int energie, int dureeVie, String outil) {
        super(nom, img, energie, dureeVie);
        this.outil = outil;
        //this.butin = butin;
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = super.hashCode() + (29 * hash + Objects.hashCode(this.outil));
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Voleur other = (Voleur) obj;
        if (!Objects.equals(this.outil, other.outil)) {
            return false;
        }
        if (!super.equals(obj)) {
            return false;
        }        
        return true;
    }

    @Override
    public String toString() {
        return super.toString() + "\t Outil=" + outil + "\nButin=";
    }

    /**
     * Get the value of outil
     *
     * @return the value of outil
     */
    public String getOutil() {
        return outil;
    }

    /**
     * Set the value of outil
     *
     * @param outil new value of outil
     */
    public void setOutil(String outil) {
        this.outil = outil;
    }

    public String rencontrer(Personnage unPerso){
        int choix_unPerso;
        int reponse;
        this.saluer(unPerso);
        
        Icon PierreFeuilleCiseaux = new javax.swing.ImageIcon("/img/pierreFeuilleCiseaux.jpg");
        String message = "Que choisis-tu " + unPerso.getNom() + " !";
        String titre =  "Pierre Feuille Ciseaux" + unPerso.getNom();
        
        do{
        reponse = JOptionPane.showOptionDialog(null, message, titre, JOptionPane.DEFAULT_OPTION, JOptionPane.QUESTION_MESSAGE,PierreFeuilleCiseaux, outils, 0);
        System.out.println(reponse); 
        choix_unPerso = Jeu.genererNbAleatoire(0, 2);  
        }while(reponse == choix_unPerso);
        String voleur = this.outils[reponse];
        String vole = this.outils[choix_unPerso];
        
        if((voleur.equals("Pierre")&& vole.equals("Ciseaux"))||
            (voleur.equals("Feuille")&& vole.equals("Pierre"))||
            (voleur.equals("Ciseaux")&& vole.equals("Feuille"))){
            
            this.varierEnergie(1);
            unPerso.varierEnergie(-1);
            unPerso.varierDureeVie(-1);
            return "j'ai gagné wha hahaha !!" ;
        }else{
            this.varierEnergie(-1);
            unPerso.varierEnergie(+1);
            return "Tu as gagné espèce de fifrelin";
        }
       
    }
    
    
}
